package com.ningdatech.pmapi.user.model.po;

import com.ningdatech.pmapi.user.model.base.UserRoleInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author liuxinxin
 * @date 2023/2/15 上午8:43
 */
@Data
@ApiModel("获取用户详情编辑请求")
public class ReqUserDetailEditPO {

    @ApiModelProperty("userId")
    private Long userId;

    @ApiModelProperty("手机号")
    private String phoneNo;

    @ApiModelProperty("状态 启用/禁用")
    private Boolean status;

    @ApiModelProperty("用户角色信息列表")
    private List<UserRoleInfo> userRoleInfoList;
}
