package com.ningdatech.pmapi.sys.model.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 通用字段， is_del 根据需求自行添加
 * </p>
 *
 * @author WendyYang
 * @since 11:01 2023/1/28
 */
@Getter
@Setter
public class BaseEntity implements Serializable {

    @ApiModelProperty("创建人userId")
    protected Long createBy;

    @ApiModelProperty("最后修改人userId")
    protected Long updateBy;

    @ApiModelProperty("创建时间")
    protected LocalDateTime createOn;

    @ApiModelProperty("修改时间")
    protected LocalDateTime updateOn;

}
