package com.ningdatech.pmapi.user.model.po;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author liuxinxin
 * @date 2023/2/13 上午9:31
 */

@Data
@ApiModel("用户禁用PO")
public class ReqUserDisablePO {

    @NotBlank(message = "用户ID不能为空")
    @ApiModelProperty("用户id")
    private Long userId;

}
